import request from '@/utils/request'

// 查询共创管理-留言管理列表
export function listMessage(query) {
  return request({
    url: '/system/leaveMessage/list',
    method: 'get',
    params: query
  })
}

// 查询共创管理-留言管理详细
export function getMessage(id) {
  return request({
    url: '/system/leaveMessage/' + id,
    method: 'get'
  })
}

// 新增共创管理-留言管理
export function addMessage(data) {
  return request({
    url: '/system/leaveMessage',
    method: 'post',
    data: data
  })
}

// 修改共创管理-留言管理
export function updateMessage(data) {
  return request({
    url: '/system/leaveMessage',
    method: 'put',
    data: data
  })
}

// 删除共创管理-留言管理
export function delMessage(id) {
  return request({
    url: '/system/leaveMessage/' + id,
    method: 'delete'
  })
}
